package cl.homelogic.platform.designsystem.extensions

fun String.toUnicode(): String? =
    try {
        val paddedHex = this.padStart(4, '0')
        val codePoint = paddedHex.toInt(16)
        codePoint.toChar().toString()
    } catch (e: Exception) {
        null
    }
